Jump to content
  • Checkout
  • Login
  • Get in touch

osCommerce

The e-commerce.

Language packs 2.3.1 vs. 2.3.3


cyberlaban

Recommended Posts

Hi

 

Anyone who knows if a language pack made for 2.3.1 will work on 2.3.3?

 

If not is it lots of work to get it updated? and if update is needed is there a tool that sorts out the language files that needs to be translated?

 

Hope someone can help me out with these questions.

 

Best Regards

Espen

Link to comment
Share on other sites

Any language pack made for version 2.3.1 can be updated easily to work with version 2.3.3

 

There are 2 upgrade steps or each of the released newer version, 2.3.2 and 2.3.3

 

A ) Language upgrade to version 2.3.2

 

New files

 

catalog/includes/languages/english/password_reset.php

catalog/includes/languages/english/modules/action_recorder/ar_reset_password.php

 

Existing files

 

catalog/includes/languages/english/password_forgotten.php

 

B ) language upgrade to version 2.3.3

 

New Files

 

catalog/includes/languages/english/modules/header_tags/ht_canonical.php

catalog/includes/languages/english/modules/header_tags/ht_robot_noindex.php

 

catalog/includes/languages/english/modules/social_bookmarks/sb_google_plus_one.php

catalog/includes/languages/english/modules/social_bookmarks/sb_google_plus_share.php

catalog/includes/languages/english/modules/social_bookmarks/sb_pinterest.php

 

Existing files

 

catalog/includes/languages/english/shopping_cart.php

 

----------------------------

 

How to proceed?

 

Copy any new files from folder /english/ into the same location of your language folder. Then translate the text

 

Add the new definitions for existing files to the corresponding existing files of your language and translate them

 

It's all about some few lines of "defines"

 

You can find more information about the upgrades here

Link to comment
Share on other sites

  • 1 month later...

Archived

This topic is now archived and is closed to further replies.

×
×
  • Create New...